petsc-3.4.2 2013-07-02

# PCSOR

(S)SOR (successive over relaxation, Gauss-Seidel) preconditioning

### Options Database Keys

| -pc_sor_symmetric | - Activates symmetric version
| -pc_sor_backward | - Activates backward version
| -pc_sor_forward | - Activates forward version
| -pc_sor_local_forward | - Activates local forward version
| -pc_sor_local_symmetric | - Activates local symmetric version (default version)
| -pc_sor_local_backward | - Activates local backward version
| -pc_sor_omega <omega> | - Sets omega
| -pc_sor_its <its> | - Sets number of iterations (default 1)
| -pc_sor_lits <lits> | - Sets number of local iterations (default 1)

Notes: Only implemented for the AIJ and SeqBAIJ matrix formats. Not a true parallel SOR, in parallel this implementation corresponds to block Jacobi with SOR on each block.

For SeqBAIJ matrices this implements point-block SOR, but the omega, its, lits options are not supported.

### See Also

PCCreate(), PCSetType(), PCType (for list of available types), PC,
PCSORSetIterations(), PCSORSetSymmetric(), PCSORSetOmega(), PCEISENSTAT

Level:beginner
Location:src/ksp/pc/impls/sor/sor.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex21f.F.html